- hosts: "*"
  tasks:
    - name: Install Xcode from xip
      ansible.builtin.command: "sudo {{ homebrew_prefix }}/bin/xcodes install {{ xcode_version }} --path {{ ansible_user_dir }}/provision/xcode.xip --experimental-unxip"

    - name: Configure default xcode version
      ansible.builtin.command: "sudo {{ homebrew_prefix }}/bin/xcodes select {{ xcode_version }}"
    
    - name: Download all simulators
      ansible.builtin.command: "xcodebuild -downloadAllPlatforms -quiet"

    - name: Symlink Xcode.app
      ansible.builtin.command: "ln -s /Applications/Xcode-{{ xcode_version }}.app /Applications/Xcode.app"
